'FFSubmenu=IPTC
'FFName=IPTC-Keywords ->Zwischenablage

'Das Skript sammelt vorhandene Schlsselworte (Keywords) eines in das Arbeitsfenster
'geladenen Bildes bzw. des ersten markierten Bildes im Computerverzeichnis und bildet
'daraus eine durch Kommata getrennte Schlsselwort-Kette, die in die Zwischenablage kopiert wird.

'Skript KeywordToClipboard.vbs
'Copyright Harald Maeckler, Dsseldorf

'Version 1.01	12.03.2016	- aufpoppende Rckmeldungen 
'Version 1.00	10.07.2015	- Betaversion

Option Explicit

Dim KW	'Keywords
const Arbeitsfenster = true	'true = Bild im Arbeitsfenster
							'false = erstes markiertes Bild in der Computeransicht
const azt = 1	'Anzeigezeit in sec.							
Dim WshShell

'********************************************************
Set WshShell = CreateObject("WScript.Shell")
call main
Set WshShell = nothing
'********************************************************
Sub main

if Arbeitsfenster then
	if FF_GetImageWidth = 0 then
		msgbox "Kein Bild im Arbeitsfenster!",vbExclamation,"Abbruch"
		exit sub
	end if
else
	if FF_GetImageCount = 0 then
		msgbox "Kein Bild im Computerverzeichnis markiert!",vbExclamation,"Abbruch"
		exit sub
	end if
	FF_LoadImage FF_GetImageName(0)
end if

KW = FF_GetIPTC("keywords")
KW = replace(KW,vbCrLf,",")
FF_TextToClipboard KW

if len(KW) = 0 then
	WshShell.Popup "Das Bild enthlt keine Keywords!",azt,"Hinweis",vbInformation
else
'	msgbox "Keywords bernommen!",vbInformation,"Hinweis"
	WshShell.Popup "Keywords bernommen!",azt,"Hinweis",vbInformation
end if

End Sub
'********************************************************
